# Open Build Service spec file
# Packager: Bruno ANSELME - be.root@free.fr
Name: nocomprendo
Summary: Voice command application for X.org
Version: 1.2.0
License: GPL-3.0
Group: Text tools
BuildRoot: %{_tmppath}/build-root-%{name}
Source0: http://be.root.free.fr/soft/%{name}/%{name}-%{version}.tar.gz
Url: http://be.root.free.fr

%if 0%{?fedora_version}
Release: 1
BuildRequires:  autoconf libtool automake bison
BuildRequires:  espeak-devel libxdo-devel
BuildRequires:  qt5-qtbase-gui qt5-qtbase-devel
BuildRequires:  pulseaudio-libs-devel alsa-lib-devel
BuildRequires:  qt-x11
BuildRequires:  desktop-file-utils
Requires:       qt5-qtbase-gui  qt5-qtbase-devel
Requires:       pulseaudio-libs alsa-lib
Requires:       espeak libxdo
Requires: desktop-file-utils
%define qmake /usr/bin/qmake-qt5
%endif

%if 0%{?suse_version}
Release: 1
BuildRequires:  rpmlint-mini
BuildRequires:  autoconf libtool automake bison
BuildRequires:  espeak-devel xdotool-devel
BuildRequires:  libpulse-devel
BuildRequires:  alsa-devel
BuildRequires:  libQt5Widgets-devel
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  qt-x11
BuildRequires:  update-desktop-files
Requires:       espeak xdotool
Requires:       desktop-file-utils
%define qmake /usr/bin/qmake-qt5
%endif

%if 0%{?mageia}
Release: %mkrel 1
%ifarch x86_64
%define _bit %(getconf LONG_BIT)
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: bison
BuildRequires: lib64espeak-devel
BuildRequires: libtool
BuildRequires: lib64xdotool-devel
BuildRequires: lib64sane1
BuildRequires: lib64proxy-webkit
BuildRequires: qtbase5-common-devel
%else
BuildRequires: libqt5widgets-devel
BuildRequires: libpulseaudio-devel
BuildRequires: bison
BuildRequires: libespeak-devel
BuildRequires: libtool
BuildRequires: libxdotool-devel
BuildRequires: libsane1
BuildRequires: libproxy-webkit
BuildRequires: qtbase5-common-devel
%endif
%define qmake /usr/bin/qmake
%endif

%description
Voice command for Linux/X11.
Based on Qt and PocketSphinx.

%global debug_package %{nil}

%prep

%setup -q

%build
%qmake
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
make
# Important, second qmake. Tools are now ready, update Makefile for tools installation
%qmake

%install
make install INSTALL_ROOT=%{buildroot}
%if 0%{?suse_version}
  %suse_update_desktop_file -r %{name} Utility DesktopUtility
%endif

# After install
%post
desktop-file-install %{_datadir}/applications/%{name}.desktop

# Before uninstall
%preun

# After uninstall
%postun

%clean
rm -rf "%{buildroot}"

# Files installed by make install need to be removed. Give a list here.
%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/icons/%{name}*.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Aug 30 2020 Bruno Anselme<be.root@free.fr> 1.2.0
- Update for Qt 5.
- 15 API changes.
- parseCombinedArgString added for QProcess::startDetached.

* Sun May 24 2020 Bruno Anselme<be.root@free.fr> 1.1.5

* Sun May 24 2020 Bruno Anselme<be.root@free.fr> 1.1.4
- Bugfix : wrong regexp when importing.

* Thu Apr 23 2020 Bruno Anselme<be.root@free.fr> 1.1.3
- Signals handlers for SIGINT, SIGHUP and SIGTERM.
- Remove lockfile.

* Mon Mar 23 2020 Bruno Anselme<be.root@free.fr> 1.1.2
- Some classes renamed.
- Readme updated.
- Comments added for doxygen (make doc).
- No code change.

* Fri Mar 06 2020 Bruno Anselme<be.root@free.fr> 1.1.1
- Max lines in console.
- Documentation and comments updated.

* Sun Feb 23 2020 Bruno Anselme<be.root@free.fr> 1.1.0
- Version 1_0_21 promoted to 1_1_0.

* Sun Feb 23 2020 Bruno Anselme<be.root@free.fr> 1.0.21
- Lockfile changed.
- Command line options added.
- Help updated.

* Fri Feb 21 2020 Bruno Anselme<be.root@free.fr> 1.0.20
- Keys added to translation table (Print, ScrollLock etc).
- New examples in demo sets.
- License added to command line arguments.

* Thu Feb 20 2020 Bruno Anselme<be.root@free.fr> 1.0.19
- Media keys added to translation table.
- QKeySequence to KeySyms translation moved into guicontrol.

* Wed Feb 19 2020 Bruno Anselme<be.root@free.fr> 1.0.18
- Reminder colors changed.
- Xdo API renamed.
- Print LM file command line option added.
- Keys translation moved to guicontrol.
- Bugfix : pocketsphinx crashed with zero trigram.

* Sat Feb 15 2020 Bruno Anselme<be.root@free.fr> 1.0.17
- Command line options added (type nocomprendo --help).
- Bugfix : killTimer(timerGlide) called from another thread.

* Fri Feb 14 2020 Bruno Anselme<be.root@free.fr> 1.0.16
- Restored missing "LM updated" in status.
- Vocabulary words added to LM (setting options and discount parameter).

* Fri Feb 14 2020 Bruno Anselme<be.root@free.fr> 1.0.15
- Help and build process updated.
- Archives LM tools and readme added.
- Mouse blink relooked.
- Some warnings fixed.
- Pocketsphinx logs disabled.

* Thu Feb 13 2020 Bruno Anselme<be.root@free.fr> 1.0.14
- Perl quick_lm replaced by home made language modeler.

* Wed Feb 12 2020 Bruno Anselme<be.root@free.fr> 1.0.13
- Bugfix : unselected sets where in corpus.

* Wed Feb 12 2020 Bruno Anselme<be.root@free.fr> 1.0.12
- New reminder icon.
- xdospeak splitted into guicontrol and speak modules.
- Lowercase words in vocabulary.
- Confirm to exit application.

* Wed Feb 12 2020 Bruno Anselme<be.root@free.fr> 1.0.11
- Voice choice for espeak.

* Tue Feb 11 2020 Bruno Anselme<be.root@free.fr> 1.0.10
- Meta command MouseShow and mouse animation.
- Bugfix : hidden in taskbar and no trayIcon together, now impossible.
- Bugfix : wrong language in help.

* Mon Feb 10 2020 Bruno Anselme<be.root@free.fr> 1.0.9
- New metas : Raise, Minimize application.
- Single words list removed from LM, use now utterances and numbers.

* Sun Feb 09 2020 Bruno Anselme<be.root@free.fr> 1.0.8
- Hidden in taskbar.

* Sat Feb 08 2020 Bruno Anselme<be.root@free.fr> 1.0.7
- Full locale name in language selector.
- Check for empty LM file.

* Fri Feb 07 2020 Bruno Anselme<be.root@free.fr> 1.0.6
- Acoustics models moved to /usr/share/nocomprendo/pocketsphinx during install process.
- Default sets moved to /usr/share/nocomprendo/defsets/.

* Wed Feb 05 2020 Bruno Anselme<be.root@free.fr> 1.0.5
- Removed python and swig from build dependencies (used by sphinx).
- Removed n-gram level from settings, useless with quick_lm.

* Wed Feb 05 2020 Bruno Anselme<be.root@free.fr> 1.0.4
- Use quick_lm instead of CMU Toolkit v2.
- Simplified build process.

* Wed Feb 05 2020 Bruno Anselme<be.root@free.fr> 1.0.3
- defLang added to settings.
- Language selector, first time and from settings.

* Tue Feb 04 2020 Bruno Anselme<be.root@free.fr> 1.0.2
- SystemTrayIcon added with context menu and help.

* Sun Feb 02 2020 Bruno Anselme<be.root@free.fr> 1.0.1
- Bugfix : reminder words with "-" shown as set name.
- Reminder invert colors with one help line.

* Tue Jan 28 2020 Bruno Anselme<be.root@free.fr> 1.0.0
- Version 0_6_2 promoted to 1_0_0.
- Comments added to code.
- Packages cleaned.

* Fri Jan 24 2020 Bruno Anselme<be.root@free.fr> 0.6.2
- N-gram level control added.
- N-gram short description in help.

* Fri Jan 24 2020 Bruno Anselme<be.root@free.fr> 0.6.1
- Help update.

* Thu Jan 23 2020 Bruno Anselme<be.root@free.fr> 0.6.0
- Bugfix : bug in french vocabulary.
- Reset informations added.
- Launch process improved.

* Thu Jan 23 2020 Bruno Anselme<be.root@free.fr> 0.5.18
- Bugfix : wrong files added to sets on first time.

* Wed Jan 22 2020 Bruno Anselme<be.root@free.fr> 0.5.17
- Scroll position restored after vocabulary sort.
- Bugfix : commands list and Comprendo object not reloaded after update.

* Wed Jan 22 2020 Bruno Anselme<be.root@free.fr> 0.5.16
- Shortcuts added to every dialog and mainwindow.
- Position and size memorized for each dialog.

* Thu Jan 16 2020 Bruno Anselme<be.root@free.fr> 0.5.15
- Bugfix : missing MoveTo utterances in corpus.
- txt.
- Updated english commands sets.

* Wed Jan 15 2020 Bruno Anselme<be.root@free.fr> 0.5.14
- Separate commands sets for each language.
- Bugfix, settings wrong init.
- Simplified corpus.txt.
- Reminder tooltips.
- English help.

* Sat Jan 11 2020 Bruno Anselme<be.root@free.fr> 0.5.13
- Reminder bugfixes, font size configuration.
- Last utterance added.
- Colored set names.

* Thu Jan 09 2020 Bruno Anselme<be.root@free.fr> 0.5.12
- Utterances reminder added with new meta.

* Wed Jan 08 2020 Bruno Anselme<be.root@free.fr> 0.5.11
- Stop mouse glide on screen limits.
- Glide diagonals.
- Key sequences shown in native language.

* Mon Jan 06 2020 Bruno Anselme<be.root@free.fr> 0.5.10
- English implementation.
- Use original cmusphinx acoustic models packages.

* Sun Jan 05 2020 Bruno Anselme<be.root@free.fr> 0.5.9
- Refactorized parameters and settings dialog.

* Sat Jan 04 2020 Bruno Anselme<be.root@free.fr> 0.5.8
- Mouse glide with settings and help added.

* Mon Dec 30 2019 Bruno Anselme<be.root@free.fr> 0.5.7
- Bugfix : numpad keys.

* Sat Dec 21 2019 Bruno Anselme<be.root@free.fr> 0.5.6
- New meta commands to open application dialogs.
- Text commands quoted in.
- cmd and.
- noc files.

* Thu Dec 19 2019 Bruno Anselme<be.root@free.fr> 0.5.5
- Console log with counters.
- Quoted texts in main window.
- OSD.
- OSD settings.
- OSD help.

* Wed Dec 11 2019 Bruno Anselme<be.root@free.fr> 0.5.4
- Updated GUI for NoComprendo self control.

* Wed Dec 11 2019 Bruno Anselme<be.root@free.fr> 0.5.3
- Bugfix : remove last line after suspend.
- Stop if language is not avalaible.
- Bugfix : selection lost after reinstall.

* Tue Dec 03 2019 Bruno Anselme<be.root@free.fr> 0.5.2
- Export commands list to CSV.
- NoComprendo continues running while editing.

* Thu Nov 28 2019 Bruno Anselme<be.root@free.fr> 0.5.1
- Bugfix : console bad font color and weight.

* Tue Nov 26 2019 Bruno Anselme<be.root@free.fr> 0.5.0
- First public release.

* Sun Nov 24 2019 Bruno Anselme<be.root@free.fr> 0.4.17
- Bugfix : update language model when selection change.

* Tue Nov 19 2019 Bruno Anselme<be.root@free.fr> 0.4.16
- Bugfix : open wrong set after creating.
- Bugfix : Ok button disabled in command editor.

* Mon Nov 18 2019 Bruno Anselme<be.root@free.fr> 0.4.15
- Bugfix : install mouseto file missing.
- Bugfix : confusion in command editor.

* Sun Nov 17 2019 Bruno Anselme<be.root@free.fr> 0.4.14
- Mouse down and up for 3 buttons.
- Allows drag and drop.

* Sun Nov 17 2019 Bruno Anselme<be.root@free.fr> 0.4.13
- New mouse MoveTo control with editable commands.

* Wed Nov 13 2019 Bruno Anselme<be.root@free.fr> 0.4.12
- External links opened, license added to about dialog.
- Bug fix : Persistent gray color in console.

* Mon Nov 11 2019 Bruno Anselme<be.root@free.fr> 0.4.11
- Commands sets updated.
- "Modify" button added in seteditor.
- Empty commands bug fixed.

* Thu Nov 07 2019 Bruno Anselme<be.root@free.fr> 0.4.10
- Words usage statistics.

* Tue Nov 05 2019 Bruno Anselme<be.root@free.fr> 0.4.9
- Import/Export commands set.

* Mon Sep 23 2019 Bruno Anselme<be.root@free.fr> 0.4.8
- Cast warnings fixed from QtCreator.
- Multiple instances disabled.
- Newline in text commands.
- Updated command sets.

* Thu Sep 19 2019 Bruno Anselme<be.root@free.fr> 0.4.7
- Remove last no effect utterance from console log.
- Added to settings.

* Sun Jun 09 2019 Bruno Anselme<be.root@free.fr> 0.4.5
- Stop listening while editing.
- Help and web site screenshots updated.
- Update debian files for 8.0.

* Fri May 17 2019 Bruno Anselme<be.root@free.fr> 0.4.4
- Update examples sets for packages.
- New suspend button.
- Mouse step from settings.

* Wed Apr 10 2019 Bruno Anselme<be.root@free.fr> 0.3.20
- Build OBS for Debian and Ubuntu.
- Changelog automation.

* Mon Apr 08 2019 Bruno ANSELME<be.root@free.fr> 0.3.19
- Second OBS release.

* Tue Apr 02 2019 Bruno ANSELME<be.root@free.fr> 0.3.12
- First OBS release.
